it-swarm-ja.com

Debianでxorg-edgersPPAを追加する方法

依存関係を壊さずに、xorg-edgers PPAをdebianで追加するにはどうすればよいですか?

4
Cyclic3

Debian 8を実行していて、新しいビデオドライバーを探しているが、最新のgitスナップショットが特に必要ない場合は、 Jessie backports :を有効にするのがより安全なオプションかもしれません。

echo deb http://http.debian.net/debian jessie-backports main > /etc/apt/sources.list.d/jessie-backports.list

rootとして)、次に

apt-get update

そして、xorg-edgersで利用可能なほとんどのパッケージのバージョンをインストールできるようになります(古いバージョンの場合もありますが、常にJessieのバージョンよりも新しいものです)、eg

apt-get -t jessie-backports install libgl1-mesa-dri
apt-get -t jessie-backports install libdrm-admgpu1
apt-get -t jessie-backports install xserver-xorg-video-intel

等.

これらのパッケージは、Debian8で動作するように設計されています。

6
Stephen Kitt

説明を読むAT https://launchpad.net/~xorg-edgers/+archive/ubuntu/ppa

これは深刻な依存関係の問題を引き起こす可能性があり、Xサーバーシステムを破壊し、すべてのxserver-xorg-video.*を強制的に削除する可能性があることに注意してください

ほとんどの場合、バックポートで十分です。これを行う方法については、@ Stephenの回答を参照してください。しかし、これだけでは不十分な場合もあります。

Rootとしてbashを開始するか、root(Sudo su)、次にcd /tmpになると、ディレクトリが不必要に詰まらないようになります。

まず、xorg-video-abi-20の依存関係を満たす必要があります。 xserver-xorg-core用のubuntu仮想パッケージ。ただし、このパッケージはdebianには存在しないため、自分で作成してインストールする必要があります。

$ apt install equivs
$ equivs-control fake-xorg-video-abi-20
$ echo "Package: xorg-video-abi-20" >> fake-xorg-video-abi-20
$ echo "Depends: xserver-xorg-core" >> fake-xorg-video-abi-20
$ equivs-build fake-xorg-video-abi-20
$ dpkg -i xorg-video-abi-20*.deb

次に、aptソースを編集してxorg-edgers ppaを含め、そのgpgキーを手動でインストールします

$ gpg --ignore-time-conflict --no-options --no-default-keyring --keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv 165D673674A995B3E64BF0CF4F191A5A8844C542
$ echo deb http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu zesty main > /etc/apt/sources.list.d/xorg-edgers.list
$ echo deb-src http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu zesty main >> /etc/apt/sources.list.d/xorg-edgers.list

次に、apt-get updateを実行します!

4
Cyclic3